[MPlayer-cvslog] r25309 - trunk/TOOLS/checktree.sh

ivo subversion at mplayerhq.hu
Thu Dec 6 00:36:03 CET 2007


Author: ivo
Date: Thu Dec  6 00:36:03 2007
New Revision: 25309

Log:
test for presence of .svn directory if we are supposed to traverse the tree
according to svn info
.svn might be missing (i.e. after svn export)


Modified:
   trunk/TOOLS/checktree.sh

Modified: trunk/TOOLS/checktree.sh
==============================================================================
--- trunk/TOOLS/checktree.sh	(original)
+++ trunk/TOOLS/checktree.sh	Thu Dec  6 00:36:03 2007
@@ -168,6 +168,13 @@ else
     COLE=""
 fi
 
+# Test presence of svn info
+
+if [ "$_svn" = "yes" -a ! -d .svn ] ; then
+    echo "No svn info available. Please use -nosvn." >&2
+    exit 1
+fi
+
 # Generate filelist once so -svn isn't _that_ much slower than -nosvn anymore
 
 filelist=`all_filenames`



More information about the MPlayer-cvslog mailing list